<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a9fec04e-c926-41e1-a28d-cd14e8f89706" name="Default" comment="wsg 20180322（tree）" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" />
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="Devsncfg.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/admin/controller/Devsncfg.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="703">
              <caret line="39" column="33" selection-start-line="39" selection-start-column="33" selection-end-line="39" selection-end-column="33" />
              <folding>
                <element signature="e#38#59#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="index.html" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/admin/view/paramindexset/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1881">
              <caret line="99" column="35" selection-start-line="99" selection-start-column="35" selection-end-line="99" selection-end-column="35" />
              <folding>
                <element signature="n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
                <element signature="n#div#0;n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
                <element signature="n#div#1;n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="left.html" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/admin/view/common/left.html">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="userleft.html" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/admin/view/common/userleft.html">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="left.html" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/admin/view/public/left.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2090">
              <caret line="110" selection-start-line="110" selection-end-line="110" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="index.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/public/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="171">
              <caret line="17" column="16" selection-start-line="17" selection-start-column="8" selection-end-line="17" selection-end-column="16" />
              <folding>
                <element signature="e#6#80#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Jump.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/library/traits/controller/Jump.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="19">
              <caret line="73" column="42" selection-start-line="73" selection-start-column="42" selection-end-line="73" selection-end-column="42" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="database.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/application/database.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="25" column="8" lean-forward="true" selection-start-line="25" selection-start-column="8" selection-end-line="25" selection-end-column="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="dispatch_jump.tpl" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/tpl/dispatch_jump.tpl">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="855">
              <caret line="45" column="17" lean-forward="true" selection-start-line="45" selection-start-column="17" selection-end-line="45" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="dispatch_jump_back.tpl" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/tpl/dispatch_jump_back.tpl">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>class</find>
      <find>table-scro</find>
      <find>Remember me next time</find>
      <find>http://www.tp5.com/static/cssjs/js/highstock.js</find>
      <find>sdate</find>
      <find>Highcharts.com.cn</find>
      <find>'1'</find>
      <find>$v.paramindex|msubstr=15,35,'utf-8',false</find>
      <find>__PUBLIC__</find>
      <find>d_pf_</find>
      <find>d_jx</find>
      <find>/index/param/</find>
      <find>if(sub_id</find>
      <find>btn_query</find>
      <find>subid</find>
      <find>warm</find>
      <find>/static/admin/style</find>
      <find>SITE_URL.</find>
      <find>SITE_URL</find>
      <find>/static/</find>
      <find>/index.php/index/line</find>
      <find>login</find>
      <find>/index/log</find>
      <find>/static/cssjs</find>
      <find>/static/admin</find>
      <find>/static/index</find>
      <find>dd</find>
      <find>主设备</find>
      <find>Second</find>
      <find>success</find>
    </findStrings>
    <replaceStrings>
      <replace>pid</replace>
      <replace>pId</replace>
      <replace>$d</replace>
      <replace>$v.paramindex</replace>
      <replace>/static/cssjs</replace>
      <replace>d_jx</replace>
      <replace>d_jx_</replace>
      <replace>/index/warm/</replace>
      <replace>if(data</replace>
      <replace>warn</replace>
      <replace>/static/cssjs/css</replace>
      <replace>____</replace>
      <replace>__ROOTURL__/index/line</replace>
      <replace>__IMG__/cssjs</replace>
      <replace>__PUBLIC__</replace>
      <replace>设备编码</replace>
    </replaceStrings>
    <dirStrings>
      <dir>D:\phpStudy\PHPTutorial\WWW\xypg\application\index\view</dir>
      <dir>D:\phpStudy\PHPTutorial\WWW\xypg\application</dir>
      <dir>D:\phpStudy\PHPTutorial\WWW\xypg</dir>
      <dir>D:\phpStudy\PHPTutorial\WWW\xypg\thinkphp</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="zhjr" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/application/index/view/tb_epa/tb_epa.html" />
        <option value="$PROJECT_DIR$/application/index/view/line_eiact/eiact.html" />
        <option value="$PROJECT_DIR$/application/index/view/tb_eiact/tb_eiact.html" />
        <option value="$PROJECT_DIR$/application/index/view/tb_etp/tb_etp.html" />
        <option value="$PROJECT_DIR$/application/index/view/line_etp/line_etp.html" />
        <option value="$PROJECT_DIR$/application/index/view/warm/index.html" />
        <option value="$PROJECT_DIR$/application/index/view/tree1/tree1.html" />
        <option value="$PROJECT_DIR$/application/index/controller/Tree.php" />
        <option value="$PROJECT_DIR$/application/index/view/tree/tree3.html" />
        <option value="$PROJECT_DIR$/application/index/controller/Warm.php" />
        <option value="$PROJECT_DIR$/application/index/controller/TbEia.php" />
        <option value="$PROJECT_DIR$/application/index/controller/Wtree.php" />
        <option value="$PROJECT_DIR$/application/index/view/warn/epa_h.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/etp_h.html" />
        <option value="$PROJECT_DIR$/application/index/controller/Warn.php" />
        <option value="$PROJECT_DIR$/application/index/view/warn/eia.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/index.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/etp.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/sf6_h.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/eiact.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/epa.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/mic.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/eif.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/otp.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/pd_h.html" />
        <option value="$PROJECT_DIR$/application/index/view/warn/scur.html" />
        <option value="$PROJECT_DIR$/application/index/view/wtree/wtree.html" />
        <option value="$PROJECT_DIR$/application/index/controller/TbMoa.php" />
        <option value="$PROJECT_DIR$/application/index/view/tb_moa/tb_moa.html" />
        <option value="$PROJECT_DIR$/public/index.php" />
        <option value="$PROJECT_DIR$/application/admin/view/admin/lst.html" />
        <option value="$PROJECT_DIR$/application/index/view/common/topmenu.html" />
        <option value="$PROJECT_DIR$/application/index/view/line_moa/line_moa.html" />
        <option value="$PROJECT_DIR$/application/config.php" />
        <option value="$PROJECT_DIR$/application/index/view/line_eia/line_eia.html" />
        <option value="$PROJECT_DIR$/application/admin/controller/Common.php" />
        <option value="$PROJECT_DIR$/application/admin/view/auth_group/lst.html" />
        <option value="$PROJECT_DIR$/application/admin/config.php" />
        <option value="$PROJECT_DIR$/application/index/config.php" />
        <option value="$PROJECT_DIR$/application/admin/view/public/top.html" />
        <option value="$PROJECT_DIR$/application/admin/controller/Paramindexset.php" />
        <option value="$PROJECT_DIR$/application/admin/view/devsncfg/lst.html" />
        <option value="$PROJECT_DIR$/application/admin/view/devsncfg/add.html" />
        <option value="$PROJECT_DIR$/application/admin/view/devsncfg/edit.html" />
        <option value="$PROJECT_DIR$/application/admin/controller/Paramindexinfo.php" />
        <option value="$PROJECT_DIR$/application/admin/view/paramindexset/index.html" />
        <option value="$PROJECT_DIR$/application/admin/view/public/left.html" />
        <option value="$PROJECT_DIR$/application/admin/view/devsncfg/index.html" />
        <option value="$PROJECT_DIR$/thinkphp/tpl/dispatch_jump.tpl" />
        <option value="$PROJECT_DIR$/application/admin/controller/Devsncfg.php" />
        <option value="$PROJECT_DIR$/thinkphp/library/traits/controller/Jump.php" />
        <option value="$PROJECT_DIR$/application/database.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="PhpServers">
    <servers>
      <server host="localhost" id="fbc33078-e22e-4eda-ac2d-a7fab3194ed9" name="localhost" port="8000" />
    </servers>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1056" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="application" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="application" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="application" type="462c0819:PsiDirectoryNode" />
              <item name="index" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="public" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="runtime" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="library" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="library" type="462c0819:PsiDirectoryNode" />
              <item name="traits" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="library" type="462c0819:PsiDirectoryNode" />
              <item name="traits" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="library" type="462c0819:PsiDirectoryNode" />
              <item name="traits" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="library" type="462c0819:PsiDirectoryNode" />
              <item name="traits" type="462c0819:PsiDirectoryNode" />
              <item name="think" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="xypg" type="b2602c69:ProjectViewProjectNode" />
              <item name="xypg" type="462c0819:PsiDirectoryNode" />
              <item name="thinkphp" type="462c0819:PsiDirectoryNode" />
              <item name="tpl" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="ChangesBrowser.SHOW_FLATTEN" value="false" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../zhjr" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\phpStudy\PHPTutorial\WWW\xypg\thinkphp\tpl" />
      <recent name="D:\phpStudy\PHPTutorial\WWW\xypg\application\admin\view\devsncfg" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="localhost" type="PhpWebAppRunConfigurationType" factoryName="PHP Web Application" browser="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" server_name="localhost" start_url="/xypg/public/index.php" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a9fec04e-c926-41e1-a28d-cd14e8f89706" name="Default" comment="" />
      <created>1516611952087</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1516611952087</updated>
      <workItem from="1516611954676" duration="3429000" />
      <workItem from="1516669392065" duration="17219000" />
      <workItem from="1516696795045" duration="2400000" />
      <workItem from="1516756255669" duration="19753000" />
      <workItem from="1516842455272" duration="20777000" />
      <workItem from="1516928452076" duration="3314000" />
      <workItem from="1516936635480" duration="10918000" />
      <workItem from="1517188678971" duration="23108000" />
      <workItem from="1517273784552" duration="24757000" />
      <workItem from="1517360130477" duration="25501000" />
      <workItem from="1517446385306" duration="17026000" />
      <workItem from="1517536276485" duration="3090000" />
      <workItem from="1517541477740" duration="10214000" />
      <workItem from="1517792647545" duration="16997000" />
      <workItem from="1517878684607" duration="14615000" />
      <workItem from="1517965243168" duration="23428000" />
      <workItem from="1518052277938" duration="19663000" />
      <workItem from="1518139183160" duration="2533000" />
      <workItem from="1520211980850" duration="19819000" />
      <workItem from="1520298553534" duration="18503000" />
      <workItem from="1520384822694" duration="18871000" />
      <workItem from="1520470863307" duration="22880000" />
      <workItem from="1520556835475" duration="8135000" />
      <workItem from="1520572025022" duration="9351000" />
      <workItem from="1520816565918" duration="16318000" />
      <workItem from="1520902781840" duration="9756000" />
      <workItem from="1520919112430" duration="15474000" />
      <workItem from="1520988890980" duration="28893000" />
      <workItem from="1521075475703" duration="19602000" />
      <workItem from="1521162140487" duration="1752000" />
      <workItem from="1521422807204" duration="18582000" />
      <workItem from="1521507712386" duration="25416000" />
      <workItem from="1521593938500" duration="681000" />
      <workItem from="1521595029831" duration="23398000" />
      <workItem from="1521680440360" duration="11343000" />
      <workItem from="1521769597341" duration="21944000" />
      <workItem from="1522025758133" duration="3799000" />
      <workItem from="1522132211051" duration="10539000" />
      <workItem from="1522198765893" duration="16493000" />
      <workItem from="1522225276582" duration="5198000" />
      <workItem from="1522284994679" duration="14878000" />
      <workItem from="1522372348753" duration="10807000" />
      <workItem from="1522630385349" duration="16384000" />
      <workItem from="1522717362031" duration="18695000" />
      <workItem from="1522803726410" duration="7289000" />
      <workItem from="1523149260622" duration="5221000" />
      <workItem from="1523158213732" duration="11394000" />
      <workItem from="1523236411221" duration="18446000" />
      <workItem from="1523332148418" duration="12855000" />
      <workItem from="1523407983765" duration="13705000" />
      <workItem from="1523495412223" duration="15664000" />
      <workItem from="1523581246187" duration="19719000" />
      <workItem from="1523840456991" duration="21367000" />
      <workItem from="1523926791588" duration="22445000" />
      <workItem from="1524012606743" duration="21830000" />
      <workItem from="1524100336905" duration="20608000" />
      <workItem from="1524186474703" duration="14434000" />
      <workItem from="1524445181440" duration="20199000" />
      <workItem from="1524531887362" duration="23292000" />
      <workItem from="1524618463332" duration="20629000" />
      <workItem from="1524704604857" duration="1332000" />
      <workItem from="1524794555649" duration="1449000" />
      <workItem from="1524811460848" duration="7467000" />
      <workItem from="1524877865058" duration="23936000" />
      <workItem from="1525309049593" duration="20018000" />
      <workItem from="1525396487090" duration="22123000" />
      <workItem from="1525655362093" duration="5066000" />
      <workItem from="1542269710177" duration="14446000" />
      <workItem from="1542357322954" duration="24038000" />
      <workItem from="1543319107155" duration="143000" />
    </task>
    <task id="LOCAL-00001" summary="wsg">
      <created>1516677205280</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1516677205280</updated>
    </task>
    <task id="LOCAL-00002" summary="wsg">
      <created>1516696555111</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1516696555111</updated>
    </task>
    <task id="LOCAL-00003" summary="wsg">
      <created>1516696902937</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1516696902937</updated>
    </task>
    <task id="LOCAL-00004" summary="wsg 20180123添加静态文件">
      <created>1516697580630</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1516697580630</updated>
    </task>
    <task id="LOCAL-00005" summary="wsg 20180125添加静态文件">
      <created>1516864259051</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1516864259051</updated>
    </task>
    <task id="LOCAL-00006" summary="wsg 20180125">
      <created>1516864906408</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1516864906408</updated>
    </task>
    <task id="LOCAL-00007" summary="wsg 20180131">
      <created>1517387104503</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1517387104503</updated>
    </task>
    <task id="LOCAL-00008" summary="wsg 20180131">
      <created>1517387208748</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1517387208749</updated>
    </task>
    <task id="LOCAL-00009" summary="wsg 20180202">
      <created>1517538327045</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1517538327045</updated>
    </task>
    <task id="LOCAL-00010" summary="wsg 20180202">
      <created>1517538658143</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1517538658143</updated>
    </task>
    <task id="LOCAL-00011" summary="wsg 20180202">
      <created>1517538707684</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1517538707684</updated>
    </task>
    <task id="LOCAL-00012" summary="wsg 20180202（data_eia_h)">
      <created>1517562329931</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1517562329931</updated>
    </task>
    <task id="LOCAL-00013" summary="wsg 20180202">
      <created>1517801674889</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1517801674889</updated>
    </task>
    <task id="LOCAL-00014" summary="wsg 20180205（饼图）">
      <created>1517801799361</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1517801799361</updated>
    </task>
    <task id="LOCAL-00015" summary="wsg 20180205（饼图）">
      <created>1517802119906</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1517802119906</updated>
    </task>
    <task id="LOCAL-00016" summary="wsg 20180205">
      <created>1517802354082</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1517802354082</updated>
    </task>
    <task id="LOCAL-00017" summary="wsg 20180205（饼图）">
      <created>1517814930685</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1517814930685</updated>
    </task>
    <task id="LOCAL-00018" summary="wsg 20180207（直方图）">
      <created>1517982676713</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1517982676713</updated>
    </task>
    <task id="LOCAL-00019" summary="wsg 20180209（表格隐藏/展示）">
      <created>1518141092515</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1518141092515</updated>
    </task>
    <task id="LOCAL-00020" summary="wsg 20180307（数据表格隐藏）">
      <created>1520386468824</created>
      <option name="number" value="00020" />
      <option name="presentableId" value="LOCAL-00020" />
      <option name="project" value="LOCAL" />
      <updated>1520386468824</updated>
    </task>
    <task id="LOCAL-00021" summary="wsg 20180307（曲线图data_eia_h）">
      <created>1520388207902</created>
      <option name="number" value="00021" />
      <option name="presentableId" value="LOCAL-00021" />
      <option name="project" value="LOCAL" />
      <updated>1520388207902</updated>
    </task>
    <task id="LOCAL-00022" summary="wsg 20180308（趋势图及数据表）">
      <created>1520480813078</created>
      <option name="number" value="00022" />
      <option name="presentableId" value="LOCAL-00022" />
      <option name="project" value="LOCAL" />
      <updated>1520480813078</updated>
    </task>
    <task id="LOCAL-00023" summary="wsg 20180313（饼图）">
      <created>1520928294359</created>
      <option name="number" value="00023" />
      <option name="presentableId" value="LOCAL-00023" />
      <option name="project" value="LOCAL" />
      <updated>1520928294359</updated>
    </task>
    <task id="LOCAL-00024" summary="wsg 20180322（tree）">
      <created>1521685677510</created>
      <option name="number" value="00024" />
      <option name="presentableId" value="LOCAL-00024" />
      <option name="project" value="LOCAL" />
      <updated>1521685677510</updated>
    </task>
    <task id="LOCAL-00025" summary="wsg 20180328（用户权限）">
      <created>1522207847528</created>
      <option name="number" value="00025" />
      <option name="presentableId" value="LOCAL-00025" />
      <option name="project" value="LOCAL" />
      <updated>1522207847528</updated>
    </task>
    <task id="LOCAL-00026" summary="wsg 20180328（用户权限）">
      <created>1522214002808</created>
      <option name="number" value="00026" />
      <option name="presentableId" value="LOCAL-00026" />
      <option name="project" value="LOCAL" />
      <updated>1522214002808</updated>
    </task>
    <task id="LOCAL-00027" summary="wsg 20180428（图表）">
      <created>1524889643342</created>
      <option name="number" value="00027" />
      <option name="presentableId" value="LOCAL-00027" />
      <option name="project" value="LOCAL" />
      <updated>1524889643342</updated>
    </task>
    <option name="localTasksCounter" value="28" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="1035368000" />
  </component>
  <component name="TodoView" selected-index="3">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.33582088" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32847896" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50053304" side_tool="true" visible="true" weight="0.14067611" />
      <window_info anchor="right" id="Database" order="3" weight="0.32995737" />
      <window_info anchor="bottom" id="Database Changes" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="7" sideWeight="0.49703702" weight="0.32847896" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.49946696" weight="0.3991276" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.32847896" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3280757" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="wsg" />
    <MESSAGE value="wsg 20180123添加静态文件" />
    <MESSAGE value="wsg 20180125添加静态文件" />
    <MESSAGE value="wsg 20180125" />
    <MESSAGE value="wsg 20180131" />
    <MESSAGE value="wsg 20180202（data_eia_h)" />
    <MESSAGE value="wsg 20180202" />
    <MESSAGE value="wsg 20180205" />
    <MESSAGE value="wsg 20180207（直方图）" />
    <MESSAGE value="wsg 20180209（表格隐藏/展示）" />
    <MESSAGE value="wsg 20180307（数据表格隐藏）" />
    <MESSAGE value="wsg 20180307（曲线图data_eia_h）" />
    <MESSAGE value="wsg 20180308（趋势图及数据表）" />
    <MESSAGE value="wsg 20180205（饼图）" />
    <MESSAGE value="wsg 20180313（饼图）" />
    <MESSAGE value="wsg 20180205（tree）" />
    <MESSAGE value="wsg 20180321（tree）" />
    <MESSAGE value="wsg 20180322（tree）" />
    <MESSAGE value="wsg 20180328（用户权限）" />
    <MESSAGE value="wsg 20180428（图表）" />
    <option name="LAST_COMMIT_MESSAGE" value="wsg 20180428（图表）" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/application/admin/view/devsncfg/index.html</url>
          <line>89</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
      </breakpoints>
      <option name="time" value="7" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/public/htaccess.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/index/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="84" column="29" selection-start-line="84" selection-start-column="22" selection-end-line="84" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/common/topmenu.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="950">
          <caret line="50" column="19" lean-forward="true" selection-start-line="50" selection-start-column="19" selection-end-line="50" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/controller/TbEia.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="21" column="8" selection-start-line="21" selection-start-column="8" selection-end-line="21" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/tb_eia/tb_eia.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-6327" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/controller/TbMoa.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="22" column="27" selection-start-line="22" selection-start-column="27" selection-end-line="22" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/line_mic/line_mic.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="90" column="30" selection-start-line="90" selection-start-column="30" selection-end-line="90" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/admin/lst.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="20" column="16" selection-start-line="20" selection-start-column="16" selection-end-line="20" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/tb_moa/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="144" column="41" selection-start-line="144" selection-start-column="41" selection-end-line="144" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/line_eia/line_eia.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="244" selection-start-line="244" selection-end-line="244" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/line_moa/line_moa.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="208" selection-start-line="208" selection-end-line="208" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/devsncfg/sncfg.html" />
    <entry file="file://$PROJECT_DIR$/runtime/temp/3873376f8e6aee78898c4e567d80d47b.php" />
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Jg.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1197">
          <caret line="64" selection-start-line="64" selection-end-line="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Ied.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="34" column="8" selection-start-line="34" selection-start-column="8" selection-end-line="34" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/login/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/controller/Login.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="741">
          <caret line="41" column="16" selection-start-line="41" selection-start-column="16" selection-end-line="41" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/topmenu/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Common.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="12" column="37" selection-start-line="12" selection-start-column="37" selection-end-line="12" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/model/Admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1064">
          <caret line="56" column="20" selection-start-line="56" selection-start-column="20" selection-end-line="56" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/public/top.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1558">
          <caret line="82" column="24" lean-forward="true" selection-start-line="82" selection-start-column="24" selection-end-line="82" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="8" column="2" selection-start-line="8" selection-start-column="2" selection-end-line="8" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="3" column="6" selection-start-line="3" selection-start-column="6" selection-end-line="3" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="90" selection-start-line="90" selection-end-line="90" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/controller/Tree.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="32" column="24" selection-start-line="32" selection-start-column="20" selection-end-line="32" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/auth_group/lst.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-494">
          <caret line="16" column="71" selection-start-line="16" selection-start-column="71" selection-end-line="16" selection-end-column="71" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Auth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3256" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/tb_etp/tb_etp.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-741" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/devsncfg/lst.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="76" column="176" selection-start-line="76" selection-start-column="149" selection-end-line="76" selection-end-column="176" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/devsncfg/add.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="52" column="68" selection-start-line="52" selection-start-column="68" selection-end-line="52" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/devsncfg/edit.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2261">
          <caret line="16" column="67" lean-forward="true" selection-start-line="16" selection-start-column="67" selection-end-line="16" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Paramindexset.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="456">
          <caret line="25" column="5" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Paramindexinfo.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="8" column="50" selection-start-line="8" selection-start-column="50" selection-end-line="8" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/paramindexinfo/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/common/devleft.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-934" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/phpunit/php-timer/src/Timer.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="23" column="7" selection-start-line="23" selection-start-column="7" selection-end-line="23" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/library/think/Config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="596">
          <caret line="119" column="27" selection-start-line="119" selection-start-column="27" selection-end-line="119" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/devsncfg/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2774">
          <caret line="146" column="10" selection-start-line="146" selection-start-column="10" selection-end-line="146" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="171">
          <caret line="17" column="16" selection-start-line="17" selection-start-column="8" selection-end-line="17" selection-end-column="16" />
          <folding>
            <element signature="e#6#80#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/common/userleft.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/common/left.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/paramindexset/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1881">
          <caret line="99" column="35" selection-start-line="99" selection-start-column="35" selection-end-line="99" selection-end-column="35" />
          <folding>
            <element signature="n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
            <element signature="n#div#0;n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
            <element signature="n#div#1;n#div#0;n#div#0;n#div#0;n#BODY#0;n#HTML#0;n#!!top" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/index/view/tree/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="107" column="29" selection-start-line="107" selection-start-column="23" selection-end-line="107" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/view/public/left.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2090">
          <caret line="110" selection-start-line="110" selection-end-line="110" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/library/think/Error.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="95">
          <caret line="16" column="35" lean-forward="true" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/tpl/dispatch_jump_back.tpl">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/tpl/dispatch_jump.tpl">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="855">
          <caret line="45" column="17" lean-forward="true" selection-start-line="45" selection-start-column="17" selection-end-line="45" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/admin/controller/Devsncfg.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="703">
          <caret line="39" column="33" selection-start-line="39" selection-start-column="33" selection-end-line="39" selection-end-column="33" />
          <folding>
            <element signature="e#38#59#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/library/traits/controller/Jump.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="73" column="42" selection-start-line="73" selection-start-column="42" selection-end-line="73" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="25" column="8" lean-forward="true" selection-start-line="25" selection-start-column="8" selection-end-line="25" selection-end-column="8" />
        </state>
      </provider>
    </entry>
  </component>
</project>